%{
#include "y.tab.h"
extern int yylval;
char last_string[81];
%}
%%
quit		return(QUIT);
abort		return(ABORT);
watch		return(WATCHSEEK);
leadin		return(LEADIN);
leadout		return(LEADOUT);
bot		return(BOT);
eot		return(EOT);
rate		return(RATE);
prohibit	return(COPY);
program		return(PROGRAM);
interval	return(INTERVAL);
index		return(INDEX);
pause		return(PAUSE);
silence		return(SILENCE);
testpat		return(TESTPAT);
write		return(FWRITE);
read		return(FREAD);
where		return(WHERE);
readpos		return(WHERENOT);
frames		return(FRAMES);
check		return(CHECK);
readframe	return(READFRAME);
readframes	return(READFRAMES);
seek		return(SEEK);
shadow		return(SHADOW);
print		return(PRINT);
[0-9]+		{ yylval = atoi(yytext); return(INTEGER); }
y		{ yylval = 1; return(BOOLEAN); }
yes		{ yylval = 1; return(BOOLEAN); }
n		{ yylval = 0; return(BOOLEAN); }
no		{ yylval = 0; return(BOOLEAN); }
pn		return(PROGNUM);
at		return(ATIME);
pt		return(PTIME);
:		return(COLON);
[a-zA-Z0-9_.!@#$%^&\*()+=~/<>]+	{ 
		strncpy(last_string, yytext, 80);
		last_string[80] = 0;
		return(STRING);
	}
#[a-zA-Z0-9_.,`|:;\?{}!@#$%^&\*()+=~/<> '"\-]*$	return(COMMENT);
